%define	name	sudo
%define	version	1.6.1
%define	release	1
%define	serial	2

Summary:	Allows command execution as root for specified users.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	BSD
Group:		Applications/System
URL:		http://www.courtesan.com/sudo
Vendor:		Todd Miller <Todd.Miller@courtesan.com>
Source:		%{name}-%{version}.tar.gz
Obsoletes:	cu-sudo
BuildRoot:	/var/tmp/%{name}-%{version}

Distribution:	Freshmeat RPMs
Packager:	Ryan Weaver <ryanw@infohwy.com>

%description
Sudo is a program designed to allow a sysadmin to give limited root
privileges to users and log root activity. The basic philosophy is
to give as few privileges as possible but still allow people to get
their work done.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" \
./configure --prefix=/usr \
	    --with-logging=both \
	    --with-logpath=/var/log/sudo.log \
	    --enable-log-host \
	    --disable-log-wrap \
	    --with-pam

make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr
make prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc install
make prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc install-sudoers

mkdir -p $RPM_BUILD_ROOT/var/run/sudo
chmod 700 $RPM_BUILD_ROOT/var/run/sudo

# Installing sample pam file
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m644 sample.pam $RPM_BUILD_ROOT/etc/pam.d/sudo

# Installing logrotated file
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
cat <<END >$RPM_BUILD_ROOT/etc/logrotate.d/sudo
/var/log/sudo.log {
    monthly
    compress
}
END

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%doc BUGS CHANGES COPYING FAQ HISTORY INSTALL PORTING README RUNSON TODO TROUBLESHOOTING UPGRADE sample.sudoers
%config(noreplace) /etc/sudoers
/etc/logrotate.d/sudo
/etc/pam.d/sudo
/usr/bin/sudo
/usr/sbin/visudo
/usr/man/*/*
/var/run/sudo

%changelog
* Fri Dec 10 1999 Ryan Weaver <ryanw@infohwy.com>
  [sudo-1.6.1-1]
- Better diagnostics on PAM failure. 
- The --enable-noargs-shell configure option works again. The
  noargs-shell run-time option has been removed since it cannot
  work due to the way the sudoers file is parsed. 
- The following run-time options were not honored in all cases:
  set_home, fqdn, syslog, tty_tickets, ticket_dir, insults. 
- Fixed a bug parsing runas modifiers. If a user spec contained
  multiple runas specs, the latter ones may not be applied. 
- #uid now works in a RunasAlias line. 
- Don't ask the user for a password if the user is not allowed to run
  the command and the authenticate flag (in sudoers) is false. 
- SecurID support now compiles and works.

* Wed Nov 17 1999 Ryan Weaver <ryanw@infohwy.com>
  [sudo-1.6-1]
- Updated to version 1.6 Full Release.

* Fri Nov 12 1999 Ryan Weaver <ryanw@infohwy.com>
  [sudo-1.6rc1-1]
- Updated to version 1.6 rc 1.
- sudo now turns off core dumps via setrlimit (probably paranoia).

* Tue Nov  2 1999 Ryan Weaver <ryanw@infohwy.com>
  [sudo-1.6beta11-1]
- Updated to version 1.6 beta 11.
- Fixed the root_sudo option.  Sudo was always complaining that root
  was not allowed to run sudo if the root_sudo flag was turned off.

- tgetpass() now uses a function to read up until the end of line.
  Fixes problems in a pipeline when a program sets the tty mode
  to be character at a time.

* Mon Nov  1 1999 Ryan Weaver <ryanw@infohwy.com>
  [sudo-1.6beta10-1]
- Updated to version 1.6 beta 10. See CHANGELOG for details.
- Added -D_GNU_SOURCE to CFLAGS. Some machines need this to compile.

* Mon Oct 18 1999 Ryan Weaver <ryanw@infohwy.com>
  [sudo-1.6beta9-1]
- Updated to version 1.6 beta 9. See CHANGELOG for details.

* Wed Oct 13 1999 Ryan Weaver <ryanw@infohwy.com>
  [sudo-1.6beta8-2]
- Changed Copyright rpm header info.. BSD now.
- Updated to version 1.6 beta 8. See CHANGELOG for details.

* Fri Jul  9 1999 Ryan Weaver <ryanw@infohwy.com>
  [cu-sudo-1.6beta6-1]
- New PAM code again, this time it should be correct.  If your PAM
  actually honors appdata_ptr (Solaris does not) sudo will retain
  its 'quit if you hit return at the password prompt' behavior.
- tgetpass() now has a flag to specify whether or not to turn
  off echo while reading the password.  Used by the new PAM code.

* Tue Jun 22 1999 Ryan Weaver <ryanw@infohwy.com>
  [cu-sudo-1.6beta5-1]
- The password authentication code has moved from check.c to auth.c. 
- Kerberos V < 1.1 should work again (using the Kerberos IV code). 

* Fri Jun  4 1999 Ryan Weaver <ryanw@infohwy.com>
  [cu-sudo-1.6beta4-2]
- Added dir /var/run/sudo to file list.
- Added --enable-log-host --disable-log-wrap to configure.
- Added --with-logging=file to configure.
- Added logrotate.d file to rotate /var/log/sudo.log monthly.

* Fri Jun  4 1999 Ryan Weaver <ryanw@infohwy.com>
  [cu-sudo-1.6beta4-1]
- Upgraded to 1.6beta4
- The runas user and NOPASSWD tags are now persistent across entries
  in a command list (ie: cmnd1,cmnd2,cmnd3).  A PASSWD tag has been
  added to reverse NOPASSWD.  The runas user and *PASSWD tags can be
  overridden on a per-command basis at which point they become the
  new default for the rest of the list.
- It is now possible to use the '!' operator in a runas list as
  well as in a Cmnd_Alias, Host_Alias and User_Alias.
- In estrdup(), do the malloc ourselves so we don't need to rely on the
  system strdup(3) which may or may not exist.  There is now no need to
  provide strdup() for those w/o it.
- You can now specifiy a host list instead of just a host or alias
  in a privilege list.  Ie: user=host1,host2,ALIAS,!host3 /bin/ls
- Stash the "safe" path to the command instead of stashing the struct
  stat.  Should be safer.
- Now set $LOGNAME in addition to $USER.
- No longer use stdio in tgetpass()
- Don't use _PASSWD_LEN or PASS_MAX as we can't rely on them corresponding
  to anything real.  Instead, we just use a max password size of 256
  everywhere.

* Fri Jun  4 1999 Ryan Weaver <ryanw@infohwy.com>
  [cu-sudo-1.5.9p2-1]
- Initial RPM build.
- Installing sample pam file.
